<?php use_helper('UrlFunctions'); 
 use_helper('UtilFunctions');  ?>
<script>

acutalizarEspecialidad = function(destino,elm){
  $(destino).options.length = 1;
  var url = '<?=buildUrl('ajax/request')?>';
  var pars = 'type=getEspecialidad&nombreElm='+destino+'&value='+elm.value;
  
	var myAjax = new Ajax.Request(
                            		url, 
                            		{
                            			method: 'get', 
                            			parameters: pars, 
                            			onComplete: actualizaJSON
                            		});
}

</script>
<script>
actualizaJSON = function(request, json){
  var numeroElementos = json.length;
  for (var i = 0; i < numeroElementos; i++){
    if($(json[i][0])){
  	  switch ($(json[i][0]).tagName){
  	    case 'TD'      : Element.update(json[i][0], json[i][1]); break;
  	    case 'INPUT'   : $(json[i][0]).value=json[i][1]; break;
  	    case 'SELECT'  : 
  	      var objDDL = $(json[i][0]);
  	      if(typeof(cont) == 'undefined'){
  	        var cont = 0;
  	        objDDL.options.length = 1;
  	      }
  	      var a_contentValues = json[i][1].split("_;_");
      		var value	= a_contentValues[0];
      		var text	= a_contentValues[1];
  	      var option	= new Option(text,value);
      		try{
      			objDDL.add(option,null);
      		}catch (e){
      			objDDL.add(option,-1);
      		}
  	      cont++;
  	    break;
  	  }
    }else{
      if(json[i][0].indexOf("function") > -1){
        eval("scriptEval = "+json[i][0]);
        scriptEval();
      }
    }
  }
}
</script>
<?php

if($control){//cuando se hizo el submit
	if(myUser::getUser()->getIdPadre() == '1' || myUser::getUser()->getRoleId() == "sys.ope") {
  	$o_ColaboradorBean_Temp = new ColaboradorBean();
  	$o_ColaboradorBean_Temp->setIdColaborador(myUser::getUser()->getIdColaborador()); 
  	$o_ColaboradorBL_Temp = new ColaboradorBL();
  	$o_ColaboradorBeanResult = $o_ColaboradorBL_Temp->busquedaColaborador($o_ColaboradorBean_Temp);
  	$idAdministrador = $o_ColaboradorBeanResult[0]->getIdPadre();
  	
 }elseif(myUser::getUser()->getIdPadre() == "A"){ //Todos los Padres Rol actualmente sys.gen y sys.view
 	//SIN FILTRO
 }else{
  	$idAdministrador = myUser::getUser()->getIdColaborador();
  	
 }
	
	 if($idAdministrador){
		$o_SucursalBean = new SucursalBean();
		$o_SucursalBean->setIdAdministrador($idAdministrador);
		$o_SucursalBL = new SucursalBL();
		$a_o_sucursal = $o_SucursalBL->busquedaSucursal($o_SucursalBean);
		//----------------------------------------------------
		
		$IdSucursal = $a_o_sucursal[0]->getIdSucursal();
		
	 }
	 
	/*$o_BalanceDia = new BalanceDiaBean();
	$o_BalanceDia->setIdSucursal($IdSucursal);
	$o_BalanceDia->setIdAdministrador($idAdministrador);
	
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);*/
	$o_BalanceDia = new BalanceDiaBean();
    $o_BalanceDia->setIdSucursal($IdSucursal);
  
  
	$o_BalanceDiaDP = new BalanceDiaDP($o_BalanceDia);	
	$fecha = $o_BalanceDiaDP->ObtenerDiaAbierto();
	
	/**/
	if($id){
	 	
		$o_PrestamoBeanAnt = new PrestamoBean();
		$o_PrestamoBeanAnt->setIdPrestamo($id);
		$o_class = new PrestamoBL();
		$a_ObjectBeanAnt = $o_class->busquedaPrestamo($o_PrestamoBeanAnt);
	}
	
	
	if(is_array($a_ObjectBeanAnt)){
		 while(list($key,$o_ObjectBean) = each($a_ObjectBeanAnt)){
		 	$Monto = $o_ObjectBean->getSaldoPrestamo();
		 	$IdCliente = $o_ObjectBean->getIdCliente();
		 }
		
	}
	
	
	/**/	
    $o_PrestamoBean = new PrestamoBean();
    $o_PrestamoBean->setIdCliente($IdCliente);
    $o_PrestamoBean->setMontoExtra($txtMontoAdicional);
    $montoTotal = round(($txtMontoAdicional + $Monto)*(1+$cboInteres/100),1);
    $o_PrestamoBean->setMontoPrestado($txtMontoAdicional + $Monto);
    $o_PrestamoBean->setMontoTotal(round(($txtMontoAdicional + $Monto)*(1+$cboInteres/100),1));
    $o_PrestamoBean->setSaldoPrestamo(round(($txtMontoAdicional + $Monto)*(1+$cboInteres/100),1));
    $o_PrestamoBean->setInteresPorcentaje($cboInteres);
    
    $o_PrestamoBean->setFechaInicio($fecha);
    
    $o_PrestamoBean->setPeriodicidadPago($cboFormaPago);
    $o_PrestamoBean->setDuracion($cboDuracion); 
    $o_PrestamoBean->setOrigen("F");
    $o_PrestamoBean->setFlagReporte('2');
    $o_PrestamoBean->setIdPrestamoReferencia($id);
    
    switch ($cboFormaPago){
    	case "D" : 
				$fechaPago  =  date('Y-m-d',strtotime($fecha.' +1 days'));
    			switch ($cboDuracion){
    				/**********************/
    				case 7 :  $MontoCuota = round($montoTotal/5,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +7 days'));
    						  $NroCuotas=5; break;
    				/*********************/ 
    				case 15 : $MontoCuota = round($montoTotal/13,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
    						  $NroCuotas=13; break;
    				case 30 : $MontoCuota = round($montoTotal/26,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=26; break;
    				case 45 : $MontoCuota = round($montoTotal/39,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=39; break;
    				case 60 : $MontoCuota = round($montoTotal/52,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=52; break;
    				case 75 : $MontoCuota = round($montoTotal/65,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));
    						  $NroCuotas=65; break;
    				case 90 : $MontoCuota = round($montoTotal/88,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=88; break;
    			}
    			break;
    	case "S":
				$fechaPago  =  date('Y-m-d',strtotime($fecha.' +7 days'));
    			switch ($cboDuracion){
    				/**********************/
    				case 7 :  $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha.' +7 days'));
    						  $NroCuotas=1; break;
    				/*********************/
    				case 15 : $MontoCuota = round($montoTotal/2,2);
    				  		  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
    						  $NroCuotas=2; break;
    				case 30 : $MontoCuota = round($montoTotal/4,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=4; break;
    				case 45 : $MontoCuota = round($montoTotal/6,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=6; break;
    				case 60 : $MontoCuota = round($montoTotal/8,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=8; break;
    				case 75 : $MontoCuota = round($montoTotal/10,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));
    						  $NroCuotas=10; break;
    				case 90 : $MontoCuota = round($montoTotal/12,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=12; break;
    			}
    			break;
    	case "Q":
				$fechaPago  =  date('Y-m-d',strtotime($fecha.' +15 days'));
    			switch ($cboDuracion){	
    				case 15 : $MontoCuota = round($montoTotal/1,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days')); 
    						  $NroCuotas=1; break;
    				case 30 : $MontoCuota = round($montoTotal/2,2);
  							  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));  				
    						  $NroCuotas=2; break;
    				case 45 : $MontoCuota = round($montoTotal/3,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +45 days'));
    						  $NroCuotas=3; break;
    				case 60 : $MontoCuota = round($montoTotal/4,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=4; break;
    				case 75 : $MontoCuota = round($montoTotal/5,2);
  							  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +75 days'));  				
    						  $NroCuotas=5; break;
    				case 90 : $MontoCuota = round($montoTotal/6,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=6; break;
    			}
    			break;
    	case "M":
				$fechaPago  =  date('Y-m-d',strtotime($fecha.' +30 days'));
    			switch ($cboDuracion){	
    				
    				case 30 : $MontoCuota = round($montoTotal/1,2);
    						  $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +30 days'));
    						  $NroCuotas=1; break;
    				case 60 : $MontoCuota = round($montoTotal/2,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +60 days'));
    						  $NroCuotas=2; break;
    				case 90 : $MontoCuota = round($montoTotal/3,2);
    				          $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +90 days'));
    						  $NroCuotas=3; break;
    			}
    			break;
    }
    if($cboDuracion){
	    $o_PrestamoBean->setCuotaPago($MontoCuota);
		 $o_PrestamoBean->setFechaInicioPago($fechaPago);
	    $o_PrestamoBean->setFechaVencimiento($fechaVencimiento);
	    $InteresMonto = ($txtMontoAdicional + $Monto)*$cboInteres/100;
	    $o_PrestamoBean->setInteresMonto($InteresMonto);
	    $o_PrestamoBean->setNroCuotas($NroCuotas);
	    $o_PrestamoBean->setObservacion($txtObservacion);  
	    $o_PrestamoBean->setEstado("P");
	    $o_PrestamoBean->setFechaCreacion(date("Y-m-d H:i:s"));
	  	$o_PrestamoBean->setUsuarioCreacion(myUser::getUser()->getUserId());
	  	$o_PrestamoBean->setIdColaborador(myUser::getUser()->getIdColaborador());
	    
		
		$o_PrestamoBean->setIdColaboradorOrigen(myUser::getUser()->getIdColaborador());
	
		if(myUser::getUser()->getIdColaborador()){
			$o_colaboradorBean = new ColaboradorBean();
			$o_colaboradorBean->setIdColaborador(myUser::getUser()->getIdColaborador());
			$o_colaboradorDP = new ColaboradorDP($o_colaboradorBean);
			$a_o_colaboradorDP = $o_colaboradorDP->select();

			if(is_array($a_o_colaboradorDP)){
				foreach ($a_o_colaboradorDP as $key => $o_colaboradorDP){
					$NombreCompleto = $o_colaboradorDP->getNombreCompleto();
				}
			}
		}
		$o_PrestamoBean->setColaboradorOrigen($NombreCompleto);
	  	 
	    $o_PrestamoBL = new PrestamoBL();
	    $bResult = $o_PrestamoBL->insertarPrestamo($o_PrestamoBean);
    }
    if($bResult){
		procesoCalculoCronograma($bResult,1);
    	$o_PrestamoBeanAnt = new PrestamoBean();
		$o_PrestamoBeanAnt->setIdPrestamo($id);
		$o_PrestamoBeanAnt->setEstado("C");
		$o_PrestamoBean->setFechaModificacion(date("Y-m-d H:i:s"));
	  	$o_PrestamoBean->setUsuarioModificacion(myUser::getUser()->getUserId());
		$o_class = new PrestamoBL();
		$a_ObjectBeanAnt = $o_class->modificarPrestamo($o_PrestamoBeanAnt);
		
    ?>
       <script language="JavaScript">
         
	    parent.objMainTab.reqBody('<?=buildUrl('ipe/list')?>','&block=001&update=1&id=<?=$o_PrestamoBean->getIdPrestamo()?>');
        parent.objMainTab.windowsCloseAll();
      </script>
    <?
    }
    exit;
}


 if($id){
	 	
	$o_PrestamoBean = new PrestamoBean();
	$o_PrestamoBean->setIdPrestamo($id);
	$o_class = new PrestamoBL();
	$a_ObjectBean = $o_class->busquedaPrestamo($o_PrestamoBean);
}


if(is_array($a_ObjectBean)){
  while(list($key,$o_ObjectBean) = each($a_ObjectBean)){
  	
  	$o_ClienteBean = new ClienteBean();
	$o_ClienteBean->setIdCliente($o_ObjectBean->getIdCliente());
	$o_class = new ClienteBL();
	$a_ObjectCliente = $o_class->busquedaCliente($o_ClienteBean);
	
	while(list($keyCli,$o_ObjectBeanCli) = each($a_ObjectCliente)){
		$Nombre = $o_ObjectBeanCli->getNombreCompleto();		
		$o_MercadoBean = new MercadoBean();
		$o_MercadoBean->setIdMercado($o_ObjectBeanCli->getIdMercado());
		$o_class = new MercadoBL();
		$ObjectBean = $o_class->busquedaMercado($o_MercadoBean);
		
		$NombreMercado = $ObjectBean[0]->getDescripcion();
	}
	  	
?>
<script>

function cacularFechaFinal(){
	alert("Hola");
	FechaIniacial = $('FechaInicio').value;
	if(FechaIniacial != "" ){
		FechaIniacial =  parseFloat(FechaIniacial);
		
	}else{
		FechaIniacial=0;
	}
	//$('FechaVencimiento').value = FechaIniacial + xx ;
}

function cacularTotal(){
	monto = $('txtCapital').value;
	if( monto != ""){
		monto = parseFloat(monto);
	}else{
		monto = 0;
	}
	if($('cboInteres').selectedIndex > 0){
		interes = parseFloat($('cboInteres').value);
	}else{
		interes = 0;
	}
	
	if ($('cboFormaPago').selectedIndex > -1){
		
		switch ($('cboFormaPago').value){
			 
	    	case "D" : 
	    	
	    	      if ($('cboDuracion').selectedIndex > -1){
	    	      	  
	    	      	    /***************/   
	    	      	    if (parseFloat($('cboDuracion').value)=='7'){	
						   Duracion = 5;
						}  
	    	      	   
	    	      	   /***************/   
	    	      	
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
						Duracion = 13;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 26;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 39;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 52;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 65;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion =82;
						}
	    	       }
	    			break;
	    	case "S":
	    	
	    		 if ($('cboDuracion').selectedIndex > -1){
	    	      	  
	    		 	   /***************/   
	    	      	    if (parseFloat($('cboDuracion').value)=='7'){	
						   Duracion = 1;
						}  
	    	      	   
	    	      	   /***************/   
	    		 	
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 6;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 8;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 10;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 12;
						}
		    		}

	    			break;
	    	case "Q":
	    	        
	    	        if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='15'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='45'){	
							Duracion = 3;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 4;
						}
						if (parseFloat($('cboDuracion').value)=='75'){	
							Duracion = 5;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 6;
						}
		    		}
	    	      
	    			break;
	    	case "M":
	    			
	    			 if ($('cboDuracion').selectedIndex > -1){
	    	      	  
		    	       if (parseFloat($('cboDuracion').value)=='30'){	
							Duracion = 1;
						}
						if (parseFloat($('cboDuracion').value)=='60'){	
							Duracion = 2;
						}
						if (parseFloat($('cboDuracion').value)=='90'){	
							Duracion = 3;
						}
		    		}
	    			
	    			break;
	    }
	}else{
		Duracion = 0;
	}
	
	/******************/
	
	$('lblRedondeo').innerHTML = '';
	
	tope_minimo = Math.floor((monto*(interes/100 + 1)));
	
	//diferencia = (monto*(interes/100 + 1)).toFixed('2') - tope_minimo;
		
	montoTotal = (monto*(interes/100 + 1)).toFixed('2');
	
	//if(diferencia > 0){
		//if(diferencia > 0.5){
			//difRedondeo = 1 - diferencia.toFixed('2');
			//montoTotal =  parseFloat(tope_minimo) + 1;
		//}else{
			//montoTotal =  parseFloat(tope_minimo) + 0.50;
			//difRedondeo = 0.5 - diferencia.toFixed('2');
		//}		
		//$('lblRedondeo').innerHTML = '';//'&nbsp;Redondeo : '+ difRedondeo.toFixed('2');
	//}
	
	montoTotalFinal = parseFloat(montoTotal);
	$('txtMontoTotal').value = montoTotalFinal.toFixed('2');
	$('txtCuotaPago').value = ((montoTotalFinal)/Duracion).toFixed('2') ;
	
	
	/******************/
	
	/*$('lblRedondeo').innerHTML = '';
	
	tope_minimo = Math.floor((monto*(interes/100 + 1)));
	
	diferencia = (monto*(interes/100 + 1)).toFixed('2') - tope_minimo;
		
	montoTotal = (monto*(interes/100 + 1)).toFixed('2');
	
	if(diferencia > 0){
		if(diferencia > 0.5){
			difRedondeo = 1 - diferencia.toFixed('2');
			montoTotal =  parseFloat(tope_minimo) + 1;
		}else{
			montoTotal =  parseFloat(tope_minimo) + 0.50;
			difRedondeo = 0.5 - diferencia.toFixed('2');
		}		
		$('lblRedondeo').innerHTML = '&nbsp;Redondeo : '+ difRedondeo.toFixed('2');
	}
	
	 montoTotalFinal = parseFloat(montoTotal);
	$('txtMontoTotal').value = montoTotalFinal.toFixed('2');
	$('txtCuotaPago').value = ((montoTotalFinal)/Duracion).toFixed('2') ;*/
}
</script>
<img src="/images/common/spacer.gif" width="10">
 <table class="cuerpo" width="98%" border="0" cellpadding="0" cellspacing="0">
  <tr>
    <td height="0">
      <table border="0" cellpadding="0" cellspacing="0" width="100%">
        <tr>
          <td class="titleBody">
            <li>Prestamo</li>
            <span class="subtitle"><I>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;:::&nbsp;Refinanciamiento de Prestamo</I></span></td>
          <td align="right" valign="baseline">&nbsp;</td>
        </tr>
      </table>
    </td>
  </tr>
  <tr>
    <td valign="top">
      <form id="form1" name="form1" method="POST">
      <input type="hidden" name="control" value="1">
        <table hspace="20px" class="marco" width="99%" style="background: #E3E9E2">
          <tr>
            <td valign="top">
              <table width="100%" border="0" cellpadding="5" cellspacing="0">
			    <tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Cliente</I></legend>
    					 <table width="100%" border="0" cellspacing="4" cellpadding="0">
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Nombre </label></td>
								<td nowrap="nowrap"  align="left">&nbsp;:&nbsp;<label class="label"><?php echo $Nombre?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap"  class="cabecera"><label class="label req" for="txtRev" >Mercado</label></td>
								<td nowrap="nowrap" align="left">&nbsp;:&nbsp;<label class="label"><?php echo strtoupper($NombreMercado)?></label></td>
								<td nowrap="nowrap" width="20%" class="cabecera">&nbsp;</td>
							  </tr>
						</table>
    					</fieldset>				
    				</td>
                </tr>
          		<tr>
    				  <td height="0">
    				  <fieldset>
    					<legend class="fielsettex"><I>Datos del Prestamo</I></legend>
    					 <table width="100%" border="0" cellspacing="3" cellpadding="0">
							  <tr>
								<td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaInicial" >Fecha Inicial</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getFechaInicio()?></label></td>
								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" width="12%" class="cabecera"><label class="label req" for="FechaFinal" >Fecha Final</label></td>
                				 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getFechaVencimiento()?></label></td>
							   </tr>
							   <tr>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Capital</label></td>
								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getMontoPrestado()?></label></td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Inter�s(%)</label></td>
								
								<td nowrap="nowrap">&nbsp;:&nbsp;
									<label class="label"><?php echo $o_ObjectBean->getInteresPorcentaje()?></label>
								</td>
								
							  </tr>
							  <tr>
  								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
  								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getMontoTotal()?></label></td>
  								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
  								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtGastoAdministrativo" >Gasto Admin.</label></td>
  								<td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getGastoAdministrativo()?></label></td>
							  </tr>
							  <tr>
  								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtSaldoPrestamo" >Saldo</label></td>
  								 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getSaldoPrestamo()?></label></td>
  								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
  								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtCuotaPago" >Couta Pago</label></td>
  								 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><?php echo $o_ObjectBean->getCuotaPago()?></label></td>
  								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
							   </tr>
							   <tr>
  								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtAmortizacion" >Amortizacion</label></td>
  								 <td nowrap="nowrap" width="38%">&nbsp;:&nbsp;<label class="label"><? echo $temporal;?></label></td>
  								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
  								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Forma Pago</label></td>
								 <td nowrap="nowrap" ><label class="label">&nbsp;:&nbsp;
									  <?php  
									  	if($o_ObjectBean->getPeriodicidadPago() == 'D') echo "Diario";
									    if($o_ObjectBean->getPeriodicidadPago() == 'S') echo "Semanal";
									    if($o_ObjectBean->getPeriodicidadPago() == 'Q') echo "Quincenal";
									  	if($o_ObjectBean->getPeriodicidadPago() == 'M') echo "Mensual";
									  ?></label>
								</td>
							   </tr>
							</table>
						<table width="100%" border="0" style="border:solid 1px #000000" bgcolor="White">
							 <tr>
  								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Intres(%)</label></td>
  								<td nowrap="nowrap">&nbsp;:&nbsp;
									<select name="cboInteres" id="cboInteres" class="combo required" onchange="cacularTotal();">
										<option value="">-Seleccione-</option>
										<?php 
										for($i=0;$i<=100;$i++){?>
										<option value="<?=$i?>" <?php if($o_ObjectBean->getInteresPorcentaje() == $i) echo " selected = 'selected' "?>><?php echo $i."%"?></option>
										
										<?php	
										}
										?>
									</select>
								</td>
								<!--<td nowrap="nowrap">&nbsp;:&nbsp;
									<select name="cboInteres" id="cboInteres" class="combo required" onchange="cacularTotal();">
										<option value="">-Seleccione-</option>
										<?php 
										for($i=7;$i<=20;$i++){?>
										<option value="<?=$i?>" <?php //if($o_ObjectBean->getInteresPorcentaje() == $i) echo " selected = 'selected' "?>><?php echo $i."%"?></option>
										<?php	
										}
										?>
									</select>
								</td>-->
  								 <td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								 <td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Duraci&oacute;n </label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
								 
								    <select name="cboDuracion" id="cboDuracion" type="text" class="combo required" onchange="cacularTotal();"/> 
									      <option value="7">7 D�as</option>
										  <option value="15">15 D�as</option>
										  <option value="30">30 D�as</option>
										  <option value="45">45 D�as</option>
										  <option value="60">60 D�as</option>
										  <option value="75">75 D�as</option>
										  <option value="90">90 D�as</option>
								    </select>
								 
							  		<!--<select name="cboDuracion" id="cboDuracion" class="combo required" onchange="cacularTotal();">
										<option value="">-Seleccione-</option>
										<?php 
										for($i=1;$i<=6;$i++){?>
										<option value="<?=$i*15 ?>" <?php if($o_ObjectBean->getDuracion() == $i*15) echo " selected = 'selected' "?>><?php echo ($i*15)."d&iacute;as"?></option>
										
										<?php	
										}
										?>
									</select>-->
							  		
								</td>
							 </tr>
							<tr>
								
								
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Forma de Pago </label></td>
								 <td nowrap="nowrap" >&nbsp;:&nbsp;
							  		</select>
							  		 <select name="cboFormaPago" id="cboFormaPago" type="text" class="combo required" onchange="cacularTotal();"/> 
									  <option value="D" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'D') echo "selected='selected'"?>>Diario</option>
									  <option value="S" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'S') echo "selected='selected'"?>>Semanal</option>
									  <option value="Q" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'Q') echo "selected='selected'"?>>Quincenal</option>
									  <option value="M" <?php  if($o_ObjectBean->getPeriodicidadPago() == 'M') echo "selected='selected'"?>>Mensual</option>
							  		</select>
								</td>
								<td nowrap="nowrap" width="12%" class="cabecera">&nbsp;</td>
								<td nowrap="nowrap" class="cabecera"><label class="label req" for="txtRev" >Monto Total</label></td>
								<td nowrap="nowrap">&nbsp;:&nbsp;<input class="text" type="text" name="txtMontoTotal" id="txtMontoTotal" size="15" maxlength="20" readonly='readonly' style="text-align:right;" /><label class="label" id="lblRedondeo"></label></td>
							  </tr>
							  <tr>
							  	<td nowrap="nowrap" width="12%" class="cabecera"><label class="label" for="txtObservacion">Comentario</label></td>
								<td nowrap="nowrap" colspan="5">&nbsp;&nbsp;<textarea  name="txtObservacion" id="txtObservacion" cols="50" rows="2" ><?php echo $o_ObjectBean->getObservacion()?></textarea></td>
							  </tr>
						</table>	
						 <table width="100%" border="0" cellspacing="0" cellpadding="0">
						  <tr>
							 <td><img src="/images/common/spacer.gif" width="10"></td>
						  </tr>
						  <tr>
							<td align="center">
							  <input type="hidden" name="typeSubmit" id="typeSubmit">
							  <input type="hidden" name="txtCapital" id="txtCapital" value="<?php echo $o_ObjectBean->getSaldoPrestamo()?>">
							  <input type="hidden" name="txtCuotaPago" id="txtCuotaPago" >
							  <input type="hidden" name="IdMercado" id="IdMercado" value="<?php echo $IdMercado?>">
							  <input type="hidden" name="IdCliente" id="IdCliente" value="<?php echo $idCliente?>">
							  <input class="button" type="submit" value="Grabar" onclick="this.disabled=true;this.value='Enviando, por favor espere...';$('typeSubmit').value='list';">
							  <input class="button" type="button" value="Cancelar" onclick="parent.objMainTab.reqBody('<?=buildUrl('ipe/list')?>','001')"/>
							</td>
						  </tr>
						</table>
						
    					</fieldset>				
    		    </td>
               </tr>
    	     </table>
         </form>
			<script type="text/javascript">
				var valid = new Validation('form1', {immediate : true});
			</script>
    </td>
  </tr>
</table><?php
  }
}
//$fecha_ini = '2009-06-15';
//echo $fechaVencimiento = date('Y-m-d',strtotime($fecha_ini.' +15 days'));
?>

